import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const salesTaxPaymentCheck = await conductor.qbd.salesTaxPaymentChecks.update('123ABC-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(salesTaxPaymentCheck.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
sales_tax_payment_check = conductor.qbd.sales_tax_payment_checks.update(
id="123ABC-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(sales_tax_payment_check.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/sales-tax-payment-checks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"revisionNumber": "1721172183",
"transactionDate": "2024-10-01",
"bankAccountId": "80000001-1234567890",
"isQueuedForPrint": true,
"refNumber": "TAXPMT-1234",
"memo": "Sales tax payment for Q3 2024",
"address": {
"line1": "Conductor Labs Inc.",
"line2": "540 Market St.",
"line3": "Suite 100",
"line4": "",
"line5": "",
"city": "San Francisco",
"state": "CA",
"postalCode": "94110",
"country": "United States",
"note": "Conductor HQ"
}
}
'
{
"id": "123ABC-1234567890",
"objectType": "qbd_sales_tax_payment_check",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"vendor": {
"id": "80000001-1234567890",
"fullName": "State Tax Agency"
},
"transactionDate": "2024-10-01",
"bankAccount": {
"id": "80000001-1234567890",
"fullName": "Checking"
},
"amount": "1000.00",
"refNumber": "TAXPMT-1234",
"memo": "Sales tax payment for Q3 2024",
"address": {
"line1": "Conductor Labs Inc.",
"line2": "540 Market St.",
"line3": "Suite 100",
"line4": "",
"line5": "",
"city": "San Francisco",
"state": "CA",
"postalCode": "94110",
"country": "United States",
"note": "Conductor HQ"
},
"isQueuedForPrint": true,
"externalId": "12345678-abcd-1234-abcd-1234567890ab",
"lines": [
{
"id": "456DEF-1234567890",
"objectType": "qbd_sales_tax_payment_check_line",
"salesTaxItem": {
"id": "80000001-1234567890",
"fullName": "State Sales Tax"
},
"amount": "1000.00",
"taxAmount": "10.00"
}
],
"customFields": [
{
"ownerId": "0",
"name": "Customer Rating",
"type": "string_1024_type",
"value": "Premium"
}
]
}Update a sales-tax payment check
Updates an existing sales-tax payment check.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const salesTaxPaymentCheck = await conductor.qbd.salesTaxPaymentChecks.update('123ABC-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(salesTaxPaymentCheck.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
sales_tax_payment_check = conductor.qbd.sales_tax_payment_checks.update(
id="123ABC-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(sales_tax_payment_check.id)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Path Parameters
The QuickBooks-assigned unique identifier of the sales-tax payment check to update.
36"123ABC-1234567890"
Body
The current QuickBooks-assigned revision number of the sales-tax payment check object you are updating, which you can get by fetching the object first. Provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The date of this sales-tax payment check, in ISO 8601 format (YYYY-MM-DD).
"2024-10-01"
The bank account from which the funds are being drawn for this sales-tax payment check; e.g., Checking or Savings. This sales-tax payment check will decrease the balance of this account.
36"80000001-1234567890"
Indicates whether this sales-tax payment check is included in the queue of documents for QuickBooks to print.
true
The case-sensitive user-defined reference number for this sales-tax payment check, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.
IMPORTANT: For checks, this field is the check number.
Maximum length: 11 characters.
11"TAXPMT-1234"
A memo or note for this sales-tax payment check.
"Sales tax payment for Q3 2024"
The address that is printed on the sales-tax payment check.
Show child attributes
Show child attributes
Response
Returns the updated sales-tax payment check.
The unique identifier assigned by QuickBooks to this sales-tax payment check. This ID is unique across all transaction types.
"123ABC-1234567890"
The type of object. This value is always "qbd_sales_tax_payment_check".
"qbd_sales_tax_payment_check""qbd_sales_tax_payment_check"
The date and time when this sales-tax payment check was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-01-01T12:34:56.000Z"
The date and time when this sales-tax payment check was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-02-01T12:34:56.000Z"
The current QuickBooks-assigned revision number of this sales-tax payment check object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The sales-tax agency, represented as a QuickBooks vendor, receiving this sales-tax payment check. This must match the tax vendor associated with the sales-tax items in the payment lines.
Show child attributes
Show child attributes
{
"id": "80000001-1234567890",
"fullName": "State Tax Agency"
}
The date of this sales-tax payment check, in ISO 8601 format (YYYY-MM-DD).
"2024-10-01"
The bank account from which the funds are being drawn for this sales-tax payment check; e.g., Checking or Savings. This sales-tax payment check will decrease the balance of this account.
Show child attributes
Show child attributes
{
"id": "80000001-1234567890",
"fullName": "Checking"
}
The total monetary amount of this sales-tax payment check, represented as a decimal string. This equals the sum of the amounts in the sales-tax payment check lines.
"1000.00"
The case-sensitive user-defined reference number for this sales-tax payment check, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.
IMPORTANT: For checks, this field is the check number.
"TAXPMT-1234"
A memo or note for this sales-tax payment check.
"Sales tax payment for Q3 2024"
The address that is printed on the sales-tax payment check.
Show child attributes
Show child attributes
Indicates whether this sales-tax payment check is included in the queue of documents for QuickBooks to print.
true
A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.
"12345678-abcd-1234-abcd-1234567890ab"
The payment lines in this sales-tax payment check, each recording an amount paid toward a sales-tax item.
Show child attributes
Show child attributes
The custom fields for the sales-tax payment check object, added as user-defined data extensions, not included in the standard QuickBooks object.
Show child attributes
Show child attributes

